from django.db import models
from django.contrib.auth.models import User
from django.utils.translation import ugettext as _
from userena.models import UserenaBaseProfile

class BankProfile(UserenaBaseProfile):
    user = models.OneToOneField(User,
                                unique=True,
                                verbose_name=_('user'),
                                related_name='bank_profile')
    bio = models.CharField(_('Bio'),
                                 max_length=254)
    balance = models.IntegerField(_('Balance'),
                                 default=5)

